#
# Conditional build:
%bcond_without	champlain	# maps support via libchamplain [gtk+3 only]
#
Summary:	Graphics file browser utility
Summary(hu.UTF-8):	Képfájl-böngésző eszköz
Summary(pl.UTF-8):	Narzędzie do przeglądania plików graficznych
Name:		geeqie
Version:	2.5
Release:	1
License:	GPL v2+
Group:		X11/Applications/Graphics
#Source0Download: https://github.com/BestImageViewer/geeqie/releases
Source0:	https://github.com/BestImageViewer/geeqie/releases/download/v%{version}/%{name}-%{version}.tar.xz
# Source0-md5:	baa556da72f0aaadb8583603461b6a83
URL:		http://www.geeqie.org/
%{?with_champlain:BuildRequires:	clutter-devel >= 1.0}
%{?with_champlain:BuildRequires:	clutter-gtk-devel >= 1.0}
BuildRequires:	djvulibre-devel >= 3.5.27
# to enable PDF preview feature
BuildRequires:	evince
BuildRequires:	exiv2-devel >= 0.18
BuildRequires:	ffmpegthumbnailer-devel >= 2.1.0
BuildRequires:	gdk-pixbuf2-devel >= 2
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.52.0
BuildRequires:	gspell-devel >= 1.6
BuildRequires:	gtk+3-devel >= 3.24
BuildRequires:	lcms2-devel >= 2.0
BuildRequires:	libarchive-devel >= 3.4.0
%{?with_champlain:BuildRequires:	libchamplain-devel >= 0.12}
BuildRequires:	libheif-devel >= 1.3.2
BuildRequires:	libjpeg-devel
BuildRequires:	libjxl-devel >= 0.3.7
BuildRequires:	libpng-devel
BuildRequires:	libraw-devel >= 0.20
BuildRequires:	libstdc++-devel >= 6:5
BuildRequires:	libtiff-devel >= 4
BuildRequires:	libwebp-devel >= 0.6.1
BuildConflicts:	libdwarf-devel
# 5.3 or 5.4
BuildRequires:	lua-devel >= 5.3
BuildRequires:	meson >= 1.0.0
BuildRequires:	ninja >= 1.5
BuildRequires:	openjpeg2-devel >= 2.3.0
BuildRequires:	pandoc
BuildRequires:	pkgconfig
BuildRequires:	poppler-glib-devel >= 0.62
BuildRequires:	rpmbuild(macros) >= 1.726
BuildRequires:	tar >= 1:1.22
BuildRequires:	xxd
BuildRequires:	xz
BuildRequires:	yelp-tools
Requires:	desktop-file-utils
Requires:	djvulibre >= 3.5.27
Requires:	exiv2-libs >= 0.18
Requires:	ffmpegthumbnailer >= 2.1.0
Requires:	glib2 >= 1:2.24.0
Requires:	gtk+3 >= 3.24
Requires:	lcms2 >= 2.0
Requires:	libarchive >= 3.4.0
%{?with_champlain:Requires:	libchamplain >= 0.12}
Requires:	libheif >= 1.3.2
Requires:	libjpeg-progs
Requires:	libjxl >= 0.3.7
Requires:	libraw >= 0.20
Requires:	libwebp >= 0.6.1
Requires:	openjpeg2 >= 2.3.0
Requires:	poppler-glib >= 0.62
Suggests:	bash-completion-geeqie
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags_ia32		-fomit-frame-pointer

%description
Geeqie is a browser for graphics files. Offering single click viewing
of your graphics files. Includes thumbnail view, zoom and filtering
features. And external editor support.

%description -l fr.UTF-8
Geeqie est un explorateur de fichiers graphiques. Il permet d'un
simple clic l'affichage de vos fichiers graphiques. Les capacités
suivantes sont incluses: vue d'imagettes, zoom, filtres et support
d'éditeurs externes.

%description -l hu.UTF-8
Geeqie egy böngésző, amellyel a grafikus fájlokat tudod kezelni.
Egyszeri kattintásra megnézheted a képfájljaidat. Kicsinyített nézet,
zoom és szűrő eszközök is található, és külső szerkesztő támogatása.

%description -l pl.UTF-8
Geeqie jest przeglądarką plików graficznych. Możesz przeglądać swoje
pliki graficzne jednym kliknięciem myszy. Zawiera widok miniatur, zoom
i opcje filtrowania, jak również wsparcie dla zewnętrznego edytora.

%package -n bash-completion-geeqie
Summary:	Bash completion for geeqie
Summary(pl.UTF-8):	Dopełnianie parametrów geeqie dla powłoki Bash
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Requires:	bash-completion >= 1:2.0
BuildArch:	noarch

%description -n bash-completion-geeqie
Bash completion for geeqie.

%description -n bash-completion-geeqie -l pl.UTF-8
Dopełnianie parametrów geeqie dla powłoki Bash.

%prep
%setup -q

%build
%{__sed} -i '1s,%{_bindir}/awk,/bin/awk,' \
	plugins/geocode-parameters/geocode-parameters.awk

%meson build \
	-Dgq_bindir=%{_libdir}/%{name} \
	%{!?with_champlain:-Dgps-map=disabled}

%ninja_build -C build

cd build/doc/html
ln -sf GuideIndex.html index.html

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/%{name}/{applications,org.geeqie.template.desktop}
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}


%find_lang %{name}

%post
%update_desktop_database

%postun
%update_desktop_database

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc NEWS README.md TODO build/doc/html
%attr(755,root,root) %{_bindir}/geeqie
%{_mandir}/man1/geeqie.1*
%{_desktopdir}/org.geeqie.Geeqie.desktop
%{_iconsdir}/hicolor/scalable/apps/geeqie.svg
%{_pixmapsdir}/geeqie.png
%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/downsize
%attr(755,root,root) %{_libdir}/%{name}/geeqie-camera-import
%attr(755,root,root) %{_libdir}/%{name}/geeqie-camera-import-hook-script
%attr(755,root,root) %{_libdir}/%{name}/geeqie-export-jpeg
%attr(755,root,root) %{_libdir}/%{name}/geeqie-image-crop
%attr(755,root,root) %{_libdir}/%{name}/geeqie-random-image
%attr(755,root,root) %{_libdir}/%{name}/geeqie-resize-image
%attr(755,root,root) %{_libdir}/%{name}/geeqie-rotate
%attr(755,root,root) %{_libdir}/%{name}/geeqie-symlink
%attr(755,root,root) %{_libdir}/%{name}/geeqie-tethered-photography
%attr(755,root,root) %{_libdir}/%{name}/geeqie-tethered-photography-hook-script
%attr(755,root,root) %{_libdir}/%{name}/geocode-parameters.awk
%attr(755,root,root) %{_libdir}/%{name}/lensID
%attr(755,root,root) %{_libdir}/%{name}/resize-help.sh
%attr(755,root,root) %{_libdir}/%{name}/geeqie-exif-datetime-to-file
%{_datadir}/metainfo/org.geeqie.Geeqie.appdata.xml

%files -n bash-completion-geeqie
%defattr(644,root,root,755)
%{bash_compdir}/geeqie
%changelog
* Tue Sep 24 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/geeqie.git;a=log;h=master

* Tue Sep 24 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 847fa1a
- BC: libdwarf-devel

* Sat Sep 21 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> c03f7ed
- up to 2.5

* Fri Apr 26 2024 Jakub Bogusz <qboosh@pld-linux.org> 371e1e1
- updated dependencies

* Thu Apr 25 2024 Jakub Bogusz <qboosh@pld-linux.org> e6ae597
- release 2 (libjxl 0.10.x)

* Sat Mar 23 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> f7dcc3d
- up to 2.4

* Thu Mar 07 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 7bfda7b
- up to 2.3

* Fri Jan 26 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 7fdd775
- up to 2.2

* Thu Jul 27 2023 Jakub Bogusz <qboosh@pld-linux.org> 3a91e17
- updated to 2.1 with exif fixes from git (to allow exiv2 0.28)
- added lua patch (fix lua headers inclusion from C++)

* Sun Mar 26 2023 Jan Rękorajski <baggins@pld-linux.org> fd2716b
- Release 3 (by relup.sh)

* Mon Mar 06 2023 Jan Rękorajski <baggins@pld-linux.org> d836371
- Release 2 (by relup.sh)

* Fri Aug 12 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 36bcae7
- up to 2.0.1

* Tue Aug 09 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 66c342d
- Release: 1

* Tue Aug 09 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 6646a05
- up to 2.0

* Fri Apr 15 2022 Jakub Bogusz <qboosh@pld-linux.org> a46d1e8
- fixed lcms2 version (actual dependency is lcms2 2.0+ or lcms 1.14+)

* Wed Apr 13 2022 Jakub Bogusz <qboosh@pld-linux.org> deb2ec2
- updated dependencies, fixed files, disable silent rules

* Tue Apr 12 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 3758d05
- up to 1.7.3

* Tue Feb 01 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> c1e75bb
- up to 1.7.2

* Sat May 15 2021 Jan Rękorajski <baggins@pld-linux.org> 2cb5eee
- remove references to deleted patches

* Fri Apr 09 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 7ab7513
- removing unnecessary patches

* Fri Apr 09 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> d32f179
- up to 1.6

